Bug 615508

Summary: Review Request: nut-nutrition - A nutritional Software
Product: [Fedora] Fedora Reporter: Ankur Sinha (FranciscoD) <sanjay.ankur>
Component: Package ReviewAssignee: Antonio Trande <anto.trande>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora, fedora-package-review, mattia.verga, notting, ovasik, sergiobelkin
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: anto.trande: fedora‑review+
limburgher: fedora‑cvs+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nut-nutrition-19.2-2.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-30 17:56:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Ankur Sinha (FranciscoD) 2010-07-16 17:10:46 EDT
Spec URL: http://ankursinha.fedorapeople.org/nut/nut.spec
SRPM URL: http://ankursinha.fedorapeople.org/nut/nut-15.7-1.fc13.src.rpm
Description: 
NUT allows you to record what you eat and analyze your meals for nutrient composition. The database included is the USDA Nutrient Database for Standard Reference, Release 22.

rpmlint output:
[Ankur@localhost SPECS]$ rpmlint nut.spec ../SRPMS/nut-15.7-1.fc13.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
nut.src: W: invalid-url URL: http://nut.sourceforge.net/ <urlopen error [Errno -2] Name or service not known>
nut.src: W: invalid-url Source0: http://downloads.sourceforge.net/nut/nut-15.7.tar.gz <urlopen error [Errno -2] Name or service not known>
nut.i686: W: spurious-executable-perm /usr/share/man/man1/nut.1.gz
 

Other mock build results are at
http://ankursinha.fedorapeople.org/nut/
Comment 1 Ankur Sinha (FranciscoD) 2010-07-17 04:13:47 EDT
new updated srpm and spec:

http://ankursinha.fedorapeople.org/nut/nut-15.7-2.fc13.src.rpm

http://ankursinha.fedorapeople.org/nut/nut.spec

Mock build info at 

http://ankursinha.fedorapeople.org/nut/

Ankur
Comment 2 manuel wolfshant 2010-07-17 17:15:00 EDT
"nut" as an application and package name is already in use ( Network UPS Tools - https://bugzilla.redhat.com/show_bug.cgi?id=226209 ) for a long long time. Please contact your upstream and kindly ask them to look for another name for the software. If they do not agree, you'll have to look for another name for the application and package (for instance "nut-nutrition" as Ubuntu seemed to have used) before proposing again its inclusion.

I'm setting whiteboard to "Not ready" until the name conflict is solved.
Comment 3 Ankur Sinha (FranciscoD) 2011-01-04 07:26:48 EST
Hello,

I'm sorry this has taken so long. I have emailed Upstream requesting a name change. I'll keep the bug report up to date.

Thanks,
regards,
Ankur
Comment 4 Ankur Sinha (FranciscoD) 2011-02-01 04:33:01 EST
(In reply to comment #2)
> "nut" as an application and package name is already in use ( Network UPS Tools
> - https://bugzilla.redhat.com/show_bug.cgi?id=226209 ) for a long long time.
> Please contact your upstream and kindly ask them to look for another name for
> the software. If they do not agree, you'll have to look for another name for
> the application and package (for instance "nut-nutrition" as Ubuntu seemed to
> have used) before proposing again its inclusion.
> 
> I'm setting whiteboard to "Not ready" until the name conflict is solved.


Hi,

I haven't received a reply from upstream. What steps do I need to take to rename the package as nut-nutrition please?

Thanks,
Ankur
Comment 5 Ondrej Vasik 2011-02-22 08:40:43 EST
IMHO just update spec and srpm's to nut-nutrition name and submit links, that should be enough.
Comment 6 Ankur Sinha (FranciscoD) 2011-02-22 09:46:06 EST
Hello,

All right. I'll submit the new spec etc. later tonight. 

Thanks,
Ankur
Comment 7 Ankur Sinha (FranciscoD) 2011-02-25 06:51:54 EST
Hi!

Fresh spec:
http://ankursinha.fedorapeople.org/nut/nut-nutrition.spec

Fresh SRPM:
http://ankursinha.fedorapeople.org/nut/nut-nutrition-15.7-3.fc16.src.rpm

Mock build results etc can be found here:
http://ankursinha.fedorapeople.org/nut/

Thanks!
Regards,
Ankur
Comment 8 Sergio Belkin 2011-03-12 23:05:25 EST
Hi Ankur,

. Have you seen the output of rpmlint?:

rpmlint -i -v /var/lib/mock/fedora-rawhide-i386/root/builddir/build/RPMS/nut-nutrition-15.7-3.fc16.i686.rpm 
nut-nutrition.i686: I: checking
nut-nutrition.i686: I: checking-url http://nut.sourceforge.net/ (timeout 10 seconds)
nut-nutrition.i686: E: zero-length /usr/share/nut/WEIGHT.txt
nut-nutrition.i686: E: zero-length /usr/share/nut/FOOD_DES.txt
nut-nutrition.i686: W: spurious-executable-perm /usr/share/man/man1/nut.1.gz
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

- does the empty files make sense?
- Remove the unnecesary file mode bits of man page.
- I think that the best should be change wholly the package name instead to use the "binary" name... otherwise as already manuel told could be misleading existing nut since a lont time.
Comment 9 Mario Santagiuliana 2012-01-12 07:06:42 EST
Could you provide the "lost" spec file?
Comment 10 Mattia Verga 2012-01-21 14:39:21 EST
Review stalled.
Ankur do you plan to continue this submission and provide valid links to spec and src.rpm files?

Without response within one week I will proceed closing this ticket.
Comment 11 Mario Santagiuliana 2012-01-30 16:12:43 EST
No response, I proceed to close the request.
Comment 12 Ankur Sinha (FranciscoD) 2014-07-20 11:12:27 EDT
Hi,

After all this time, I've finally fixed the package. I've renamed it to nut-nutrition and moved all the files accordingly. I've also added an appdata and desktop file. The makefile is heavily patched and I'll send all the tweaks to upstream ASAP.

Spec/srpm:
http://ankursinha.fedorapeople.org/nut-nutrition/nut-nutrition.spec

http://ankursinha.fedorapeople.org/nut-nutrition/nut-nutrition-19.2-1.fc20.src.rpm

[asinha@ankur-laptop  SRPMS]$ rpmlint ../SPECS/nut-nutrition.spec /var/lib/mock/fedora-20-x86_64/result/*.rpm | sed '/incorrect-/d'
nut-nutrition.x86_64: W: no-manual-page-for-binary nut-nutrition-gui
3 packages and 1 specfiles checked; 140 errors, 1 warnings.

I'll inform upstream of the incorrect fsf address errors also.

Thanks,
Warm regards,
Ankur
Comment 13 Antonio Trande 2014-07-20 11:55:24 EDT
- Please, remove bundled files (fltk/ directory)
- Why don't use image files in .desktop file?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "Unknown or generated".
     2 files have unknown license. Detailed output of licensecheck in
     /home/sagitter/615508-nut-nutrition/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/appdata(gnome-color-
     manager, simple-scan, baobab, gnome-contacts, gnome-calculator, gnome-
     documents, gnome-system-monitor, gedit)
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5560320 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nut-nutrition-19.2-1.fc22.x86_64.rpm
          nut-nutrition-19.2-1.fc22.src.rpm
nut-nutrition.x86_64: E: incorrect-fsf-address /usr/share/doc/nut-nutrition/README
nut-nutrition.x86_64: E: incorrect-fsf-address /usr/share/doc/nut-nutrition/LICENSE
nut-nutrition.x86_64: W: no-manual-page-for-binary nut-nutrition-gui
2 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nut-nutrition
nut-nutrition.x86_64: E: incorrect-fsf-address /usr/share/doc/nut-nutrition/README
nut-nutrition.x86_64: E: incorrect-fsf-address /usr/share/doc/nut-nutrition/LICENSE
nut-nutrition.x86_64: W: no-manual-page-for-binary nut-nutrition-gui
1 packages and 0 specfiles checked; 2 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nut-nutrition (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libfltk.so.1.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
nut-nutrition:
    appdata()
    appdata(nut-nutrition.appdata.xml)
    application()
    application(nut-nutrition.desktop)
    nut-nutrition
    nut-nutrition(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/nut/nut-19.2.tar.gz :
  CHECKSUM(SHA256) this package     : 9aa1489e6644137c7b9fe2e2520dd4409e2e3c09c0f2e505aba0ad640e7e892c
  CHECKSUM(SHA256) upstream package : 9aa1489e6644137c7b9fe2e2520dd4409e2e3c09c0f2e505aba0ad640e7e892c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 615508
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 14 Ankur Sinha (FranciscoD) 2014-07-20 20:15:19 EDT
Thanks for the review Antonio. I somehow missed out that there were icon files. I even wrote to upstream requesting them to make an icon - *facepalm*. I've included them now. 

Updated spec/srpm: http://ankursinha.fedorapeople.org/nut-nutrition/nut-nutrition.spec

http://ankursinha.fedorapeople.org/nut-nutrition/nut-nutrition-19.2-1.fc20.src.rpm

* Mon Jul 21 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 19.2-1
- Add icons
- rhbz #615508

Thanks again,
Warm regards,
Ankur
Comment 15 Antonio Trande 2014-07-21 12:13:52 EDT
Please, leave a comment for your patch.
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "Unknown or generated".
     2 files have unknown license. Detailed output of licensecheck in
     /home/sagitter/615508-nut-nutrition/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/appdata(gnome-color-
     manager, simple-scan, baobab, gnome-contacts, gnome-calculator, gnome-
     documents, gnome-system-monitor, gedit)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in nut-nutrition
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5580800 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nut-nutrition-19.2-1.fc22.x86_64.rpm
          nut-nutrition-19.2-1.fc22.src.rpm
nut-nutrition.x86_64: E: incorrect-fsf-address /usr/share/doc/nut-nutrition/README
nut-nutrition.x86_64: E: incorrect-fsf-address /usr/share/doc/nut-nutrition/LICENSE
nut-nutrition.x86_64: W: desktopfile-without-binary /usr/share/applications/nut-nutrition.desktop nut-nutrition-gui
2 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nut-nutrition
nut-nutrition.x86_64: E: incorrect-fsf-address /usr/share/doc/nut-nutrition/README
nut-nutrition.x86_64: E: incorrect-fsf-address /usr/share/doc/nut-nutrition/LICENSE
nut-nutrition.x86_64: W: desktopfile-without-binary /usr/share/applications/nut-nutrition.desktop nut-nutrition-gui
1 packages and 0 specfiles checked; 2 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nut-nutrition (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
nut-nutrition:
    appdata()
    appdata(nut-nutrition.appdata.xml)
    application()
    application(nut-nutrition.desktop)
    nut-nutrition
    nut-nutrition(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/nut/nut-19.2.tar.gz :
  CHECKSUM(SHA256) this package     : 9aa1489e6644137c7b9fe2e2520dd4409e2e3c09c0f2e505aba0ad640e7e892c
  CHECKSUM(SHA256) upstream package : 9aa1489e6644137c7b9fe2e2520dd4409e2e3c09c0f2e505aba0ad640e7e892c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 615508
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 16 Ankur Sinha (FranciscoD) 2014-07-22 00:57:11 EDT
Thanks for the review Antonio. I'll comment the patch before I commit to SCM.

New Package SCM Request
=======================
Package Name: nut-nutrition
Short Description: A nutrition software
Upstream URL: http://nut.sourceforge.net/
Owners: ankursinha
Branches: f19 f20 f21
InitialCC:
Comment 17 Jon Ciesla 2014-07-22 08:15:07 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2014-07-22 10:23:20 EDT
nut-nutrition-19.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nut-nutrition-19.2-2.fc20
Comment 19 Fedora Update System 2014-07-22 10:23:27 EDT
nut-nutrition-19.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nut-nutrition-19.2-2.fc19
Comment 20 Fedora Update System 2014-07-22 23:02:11 EDT
nut-nutrition-19.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 21 Fedora Update System 2014-07-30 17:56:09 EDT
nut-nutrition-19.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 22 Fedora Update System 2014-07-30 17:57:31 EDT
nut-nutrition-19.2-2.fc20 has been pushed to the Fedora 20 stable repository.